import { AdaptableModule, AccessLevel, AdaptableObject } from '../types';
/**
 * Provides functions for Entitlements and Permissions
 **/
export interface EntitlementApi {
    /**
     * Returns Access Level of a Module
     * @param adaptableModule Module to Check
     */
    getEntitlementAccessLevelForModule(adaptableModule: AdaptableModule): AccessLevel;
    /**
     * Is the Adaptable Object ReadOnly
     * @param object Object to Check
     */
    isObjectReadonly(object: AdaptableObject): boolean;
    /**
     * Is Module Hidden
     * @param adaptableModule Module to Check
     */
    isModuleHiddenEntitlement(adaptableModule: AdaptableModule): boolean;
    /**
     * Is Module Full
     * @param adaptableModule Module to Check
     */
    isModuleFullEntitlement(adaptableModule: AdaptableModule): boolean;
    /**
     * Is Module ReadOnly
     * @param adaptableModule Module to Check
     */
    isModuleReadOnlyEntitlement(adaptableModule: AdaptableModule): boolean;
}
